hls-cabal-plugin-2.4.0.0: Cabal integration plugin with Haskell Language Server

Safe Haskell | Safe-Inferred
Language | Haskell2010

Ide.Plugin.Cabal.Completion.Completer.Snippet

Synopsis

- snippetCompleter :: Completer
- type TriggerWord = Text
- snippetMap :: CabalPrefixInfo -> Map TriggerWord Text

# Documentation

snippetCompleter :: Completer #

Maps snippet triggerwords with their completers

type TriggerWord = Text #

snippetMap :: CabalPrefixInfo -> Map TriggerWord Text #